aboutsummaryrefslogtreecommitdiffstats
path: root/main/linux-grsec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-31 11:16:27 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-31 11:16:27 +0000
commit27147cbf12b05b974d14a3f0dc690782c8c3c2bd (patch)
tree91b81cb5736d7b6a456a8badedc6bc035d1b6291 /main/linux-grsec/APKBUILD
parentf8d0034ec248c4722a1d68132c2532a1fe6243db (diff)
downloadaports-27147cbf12b05b974d14a3f0dc690782c8c3c2bd.tar.gz
aports-27147cbf12b05b974d14a3f0dc690782c8c3c2bd.tar.bz2
aports-27147cbf12b05b974d14a3f0dc690782c8c3c2bd.tar.xz
main/linux-grsec: upgrade to 2.1.14-2.6.32.14-201005291720
and set KBUILD_BUILD_VERSION to pkgrel+1
Diffstat (limited to 'main/linux-grsec/APKBUILD')
-rw-r--r--main/linux-grsec/APKBUILD12
1 files changed, 7 insertions, 5 deletions
diff --git a/main/linux-grsec/APKBUILD b/main/linux-grsec/APKBUILD
index 02edf0be3f..538324b81d 100644
--- a/main/linux-grsec/APKBUILD
+++ b/main/linux-grsec/APKBUILD
@@ -2,7 +2,7 @@
_flavor=grsec
pkgname=linux-${_flavor}
-pkgver=2.6.32.13
+pkgver=2.6.32.14
_kernver=2.6.32
pkgrel=0
pkgdesc="Linux kernel with grsecurity"
@@ -14,7 +14,7 @@ _config=${config:-kernelconfig.${CARCH:-x86}}
install=
source="ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-$_kernver.tar.bz2
ftp://ftp.kernel.org/pub/linux/kernel/v2.6/patch-$pkgver.bz2
- grsecurity-2.1.14-2.6.32.13-201005151340.patch
+ grsecurity-2.1.14-2.6.32.14-201005291720.patch
0001-grsec-revert-conflicting-flow-cache-changes.patch
0002-gre-fix-hard-header-destination-address-checking.patch
0003-ip_gre-include-route-header_len-in-max_headroom-calc.patch
@@ -67,7 +67,9 @@ menuconfig() {
build() {
cd "$srcdir"/build
- make CC="${CC:--gcc}" || return 1
+ make CC="${CC:--gcc}" \
+ KBUILD_BUILD_VERSION="$((pkgrel + 1 ))-Alpine" \
+ || return 1
}
package() {
@@ -137,8 +139,8 @@ firmware() {
}
md5sums="260551284ac224c3a43c4adac7df4879 linux-2.6.32.tar.bz2
-ba6abb1ffee513a1d4f831599ddae490 patch-2.6.32.13.bz2
-00a61e28da8869669171ab12480513e1 grsecurity-2.1.14-2.6.32.13-201005151340.patch
+90f0ec928aff643f05a8b98fad54b10c patch-2.6.32.14.bz2
+a9985ec4cf7a50beaa755b1ebde839c4 grsecurity-2.1.14-2.6.32.14-201005291720.patch
1d247140abec49b96250aec9aa59b324 0001-grsec-revert-conflicting-flow-cache-changes.patch
437317f88ec13ace8d39c31983a41696 0002-gre-fix-hard-header-destination-address-checking.patch
151b29a161178ed39d62a08f21f3484d 0003-ip_gre-include-route-header_len-in-max_headroom-calc.patch